﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.GridView;

namespace SilverlightApplication86
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            testGrid.ItemsSource = Item.Generate();
            testGrid.RowLoaded += new EventHandler<Telerik.Windows.Controls.GridView.RowLoadedEventArgs>(testGrid_RowLoaded);
        }

        void testGrid_RowLoaded(object sender, Telerik.Windows.Controls.GridView.RowLoadedEventArgs e)
        {
            if (e.Row.Item != null)
                (e.Row as GridViewRow).IsSelected = true;
        }
    }

    public class Item
    {
        private static Random rnd = new Random();
        public int Prop1 { get; set; }

        public Item()
        {
            Prop1 = rnd.Next(100);
        }

        public static ObservableCollection<Item> Generate()
        {
            ObservableCollection<Item> res = new ObservableCollection<Item>();
            for (int i = 0; i < 100; i++)
            {
                res.Add(new Item());
            }
            return res;
        }
    }
}
